# User

A user

| Field                       |                                                                                                                      Argument | Type                                                                                                                                           | Description |
| --------------------------- | ----------------------------------------------------------------------------------------------------------------------------: | ---------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **id**                      |                              [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the user                                                                                                                             |             |
| **name**                    |                        [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md)! | The name of the user                                                                                                                           |             |
| **about**                   |                         [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The bio written by user (Markdown)                                                                                                             |             |
| asHtml                      |                       [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown                                                                                       |             |
| **avatar**                  |                 [UserAvatar](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/useravatar/README.md) | The user's avatar images                                                                                                                       |             |
| **bannerImage**             |                         [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The user's banner images                                                                                                                       |             |
| **isFollowing**             |                       [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the authenticated user if following this user                                                                                               |             |
| **isFollower**              |                       [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If this user if following the authenticated user                                                                                               |             |
| **isBlocked**               |                       [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the user is blocked by the authenticated user                                                                                               |             |
| **bans**                    |                             [Json](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/json/README.md) |                                                                                                                                                |             |
| **options**                 |               [UserOptions](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/useroptions/README.md) | The user's general options                                                                                                                     |             |
| **mediaListOptions**        |     [MediaListOptions](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/medialistoptions/README.md) | The user's media list options                                                                                                                  |             |
| **favourites**              |                 [Favourites](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/favourites/README.md) | The users favourites                                                                                                                           |             |
| page                        |                               [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | Deprecated. Use page arguments on each favourite field instead.                                                                                |             |
| **statistics**              | [UserStatisticTypes](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/userstatistictypes/README.md) | The users anime & manga list statistics                                                                                                        |             |
| **unreadNotificationCount** |                               [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The number of unread notifications the user has                                                                                                |             |
| **siteUrl**                 |                         [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the user page on the AniList website                                                                                               |             |
| **donatorTier**             |                               [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The donation tier of the user                                                                                                                  |             |
| **donatorBadge**            |                         [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Custom donation badge text                                                                                                                     |             |
| **moderatorRoles**          |                      \[[ModRole](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/modrole/README.md)] | The user's moderator roles if they are a site moderator                                                                                        |             |
| **createdAt**               |                               [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | When the user's account was created. (Does not exist for accounts created before 2020)                                                         |             |
| **updatedAt**               |                               [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | When the user's data was last updated                                                                                                          |             |
| **stats** ⚠️                |                   [UserStats](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/userstats/README.md) | <p>The user's statistics</p><p>⚠️ <strong>DEPRECATED</strong></p><p>Deprecated. Replaced with statistics field.</p>                            |             |
| **moderatorStatus** ⚠️      |                         [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | <p>If the user is a moderator or data moderator</p><p>⚠️ <strong>DEPRECATED</strong></p><p>Deprecated. Replaced with moderatorRoles field.</p> |             |
| **previousNames**           |  \[[UserPreviousName](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/userpreviousname/README.md)] | The user's previously used names.                                                                                                              |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
